<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PreKeyRecordStructure extends \Google\Protobuf\Internal\Message
{
    


    protected $id = null;
    


    protected $publicKey = null;
    


    protected $privateKey = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : 0;
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkUint32($var);
        $this->id = $var;

        return $this;
    }

    



    public function getPublicKey()
    {
        return isset($this->publicKey) ? $this->publicKey : '';
    }

    public function hasPublicKey()
    {
        return isset($this->publicKey);
    }

    public function clearPublicKey()
    {
        unset($this->publicKey);
    }

    




    public function setPublicKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->publicKey = $var;

        return $this;
    }

    



    public function getPrivateKey()
    {
        return isset($this->privateKey) ? $this->privateKey : '';
    }

    public function hasPrivateKey()
    {
        return isset($this->privateKey);
    }

    public function clearPrivateKey()
    {
        unset($this->privateKey);
    }

    




    public function setPrivateKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->privateKey = $var;

        return $this;
    }

}

